Subject: [RFC PATCH] arm64: fault: Don't populate ESR context for user fault on kernel VA

From: [email-masked] (James Morse)
Date: Tue, 06 Mar 2018 18:16:22 +0000

On 06/03/18 17:59, James Morse wrote:
> On 06/03/18 16:05, Dave Martin wrote:
>> On Tue, Mar 06, 2018 at 03:59:59PM +0000, Peter Maydell wrote:
>>> AFAIK the major thing that consumers actually are after here
>>> is the WnR information, so preserving that and sanitizing
>>> the rest of the ESR if necessary would be a less risky fix IMHO.
>>
>> If there is a way of squashing the syndrome information so that it
>> reports a fixed syndrome except for information about what userspace
>> attempted to do (i.e., WnR -- I dunno if there's anything else), that
>> seems reasonable.
> 
> Anything else? For the RAS stuff I planned to use this to indicate whether a
> SIBGUS due to hwpoison was due to an instruction or data abort, so a
> sanitised-EC field would be good.

I misread this as always sanitising the ESR field, Will was only talking about
sanitising the ESR for faults on kernel addresses.

Sorry for the noise!,

James